{% load static %}
{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/menu.css' %}" />
{% endblock %}

<script>
  function toggleMenu() {
    const menu = document.getElementById('mobile-menu');
    if (menu) {
      menu.classList.toggle('hidden');
    }
  }  
</script>

<nav class="relative w-full top-[-10px] h-32 rounded-t-[60px] {% if is_logged_in %} bg-blueAccent {% else %} bg-transparent {% endif %}">
  <div class="w-full flex flex-wrap h-full items-center justify-around mt-8">
    <!-- Mobile Menu Toggle Button -->
    <button data-collapse-toggle="mobile-menu" type="button" class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-white rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600" aria-controls="mobile-menu" aria-expanded="false">
      <span class="sr-only">Open main menu</span>
      <svg class="w-5 h-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 17 14">
        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 1h15M1 7h15M1 13h15" />
      </svg>
    </button>
    <!-- Logo -->
    <div class="flex flex-row items-center justify-center space-x-10">
      <img class="h-15 w-auto m-4" src="{% static 'images/logo-branco-sem-fundo.png' %}" alt="Logo" />
        <div class="hidden md:block space-x-10">
          {% for item in menu_items %}
            <a href="{{ item.link }}" class="text-md uppercase font-bold text-white dark:text-white hover:text-blue-500 dark:hover:text-blue-400" {% if item.open_in_new_tab %}target="_blank"{% endif %}>
              {{ item.title }}
            </a>
          {% endfor %}
        </div>
    </div>
    <!-- Desktop Menu (fixed) -->
    {% if is_logged_in %}
    <div class="md:order-2 hidden md:flex items-center space-x-3">
      <form action="/accounts/logout/" method="POST" class="inline">
        {% csrf_token %}
        <button type="submit" class="logout-button focus:ring-4 focus:outline-none font-medium rounded-lg text-sm px-4 py-2 text-center bg-transparent align-middle">
          <i class="fa-solid fa-sign-out-alt mr-4"></i>
          Sair
        </button>
      </form>
      <p class="text-lightYellow text-lg">
        Olá, <span class="text-lightYellow">{{ request.user.first_name }}</span>!
      </p>
    </div>
    {% else %}
    <!-- Botão de Login -->
    <div class="md:order-2 hidden md:block space-x-3">
      <a href="{{ login_url }}" class="login-button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center bg-lightYellow hover:bg-darkYellow text-darkGray hover:text-darkGray">
        <i class="fa-solid fa-right-to-bracket mr-2"></i>Login
      </a>
    </div>
    {% endif %}
    <!-- Login Button mobile -->
    <div class="md:hidden space-x-3">
      <form action="/accounts/logout/" method="POST" class="inline">
        {% csrf_token %}
        <button type="submit" class="logout-button focus:ring-4 focus:outline-none font-medium rounded-lg text-sm px-4 py-2 text-center bg-transparent align-middle">
          <i class="fa-solid fa-sign-out-alt mr-4"></i>
          Sair
        </button>
      </form>
    </div>
  </div>
  
  <!-- Mobile Menu -->
  <div class="fixed top-0 left-0 w-screen h-screen z-50 hidden md:hidden {% if is_logged_in %} bg-blueAccent {% else %} bg-darkGray {% endif %}" id="mobile-menu">
    <!-- Close Button -->
    <button onclick="toggleMenu()" class="absolute top-4 padding-2 right-0 z-50" style="color: rgb(249, 115, 22);">
      <i class="fas fa-times icons-lg"></i>
    </button>
    <div class="flex flex-col max-w-screen items-center p-4 space-y-2 relative">
      <!-- Seção para usuário logado -->
      {% if is_logged_in %}
      <div class="margin-bottom-6 w-full margin-left-saudacao">
        <p class="padding-saudacao text-lightYellow text-lg font-bold">Olá, <span class="text-lightYellow">{{ request.user.first_name }}</span>!</p>
        <a href="{{ edit_account_url }}" class="text-lightYellow underline">Editar conta</a>
      </div>
      {% endif %}
      <!-- Menu Items -->
      <ul class="flex flex-col items-start justify-start space-y-3 mt-8 w-full">
        {% for item in menu_items %}
          <li>
            <a href="{{ item.link }}" class="block px-3 padding-menu font-bold text-md uppercase text-white hover:text-blue-500 mb-4" {% if item.open_in_new_tab %}target="_blank"{% endif %}>
              {{ item.title }}
            </a>
          </li>
        {% endfor %}
      </ul>
      {% if is_logged_in %}
        <div class="mt-auto flex items-start justify-start w-full">
          <form action="/accounts/logout/" method="POST" class="w-full">
            {% csrf_token %}
            <button type="submit" class="logout-button focus:ring-4 focus:outline-none font-medium rounded-lg text-sm px-4 py-2 text-center bg-transparent align-middle">
              <i class="fa-solid fa-sign-out-alt mr-4"></i>
              Sair
            </button>
          </form>
        </div>
      {% endif %}    
      {% if not is_logged_in %}
      <!-- Botão de Login -->
      <div class="w-full mt-auto">
        <a href="{{ login_url }}" class="block-button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center bg-lightYellow text-darkGray hover:bg-darkYellow" style="color: black">
          <i class="fa-solid fa-right-to-bracket mr-4"></i>
          Login
        </a>
      </div>      
      {% endif %}
    </div>
  </div>
</div>
</nav>
